FreeMat

- Main Page
- Related Pages

vtkSparseArrayToTable

Section: Visualization Toolkit Infovis Classes

# Usage

Converts any sparse array to a vtkTable containing one row for each value stored in the array. The table will contain one column of coordinates for each dimension in the source array, plus one column of array values. A common use-case for vtkSparseArrayToTable would be converting a sparse array into a table suitable for use as an input to vtkTableToGraph.

The coordinate columns in the output table will be named using the dimension labels from the source array, The value column name can be explicitly set using SetValueColumn().

.SECTION Thanks Developed by Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories.

To create an instance of class vtkSparseArrayToTable, simply invoke its constructor as follows

      obj = vtkSparseArrayToTable

# Methods

The class vtkSparseArrayToTable has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSparseArrayToTable class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSparseArrayToTable = obj.NewInstance ()`
- `vtkSparseArrayToTable = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetValueColumn ()` - Specify the name of the output table column that contains array values. Default: "value"
- `obj.SetValueColumn (string )` - Specify the name of the output table column that contains array values. Default: "value"